require "spec_helper"
require "pry"

module Gitfave
	describe Client do

		before(:each) do
		  @client = Gitfave::Client.new("markprovan")
		  stub_request(:get, "https://api.github.com/users/markprovan/repos").
         with(:headers => {'Accept'=>'*/*', 'Accept-Encoding'=>'gzip;q=1.0,deflate;q=0.6,identity;q=0.3', 'Host'=>'api.github.com', 'User-Agent'=>'Ruby'}).
         to_return(:status => 200, :body => File.read("spec/support/markprovan.json"), :headers => {})
		end

	  it "should be initialized with a github username" do
  		@client.username.should eql "markprovan"
  	end

  	it "should make a request to the correct Github API endpoint" do
  		Net::HTTP.should_receive(:get).with(URI "https://api.github.com/users/markprovan/repos")
  		@client.fetch_repositories
  	end

  	it "should parse the response from Github into an Array" do
  		@client.user_repositories.class.should be Array
  	end
	end
end