require 'spec_helper'

describe Gitfave::Main do
	before(:each) do
		stub_request(:get, "https://api.github.com/users/markprovan/repos").
         with(:headers => {'Accept'=>'*/*', 'Accept-Encoding'=>'gzip;q=1.0,deflate;q=0.6,identity;q=0.3', 'Host'=>'api.github.com', 'User-Agent'=>'Ruby'}).
         to_return(:status => 200, :body => File.read("spec/support/markprovan.json"), :headers => {})
	  @gitfave = Gitfave::Main.new("markprovan")
	end
  it "should return a count of each language present, as a hash" do
		@gitfave.language_count.should eql [
																				{:language=>"Ruby", :count=>2},
																					{:language=>"JavaScript", :count=>1},
																				{:language=>"Scala", :count=>1},
																				{:language=>"CSS", :count=>1}
																			]
	end

	it "should return the users favoured language, the most popular one" do
		ruby = {:language=>"Ruby", :count=>2}
		@gitfave.users_favourite_language.should eql ruby
	end

	it "should print out the users favoured language in English" do
		@gitfave.print_favourite_language.should eql "markprovan's favourite language is Ruby, having used it 2 time(s)"
	end
end